searchData={"items":[{"type":"module","title":"Shino.Notification","doc":"A drop-in replacement for notification system in Phoenix.","ref":"Shino.Notification.html"},{"type":"module","title":"Usage - Shino.Notification","doc":"Add following components to your `app.html.heex`:\n\n```heex\n \n \n```\n\nThen, use following functions to send flash or toast:\n\n  * `put_flash/3`\n  * `Shino.Notification.put_toast/_`\n  * `Shino.Notification.send_toast/_`","ref":"Shino.Notification.html#module-usage"},{"type":"function","title":"Shino.Notification.connection_group/1","doc":"","ref":"Shino.Notification.html#connection_group/1"},{"type":"function","title":"Shino.Notification.notification_group/1","doc":"Renders a notification group for DeadView and LiveView.\n\n  * For DeadView, it only renders flashes.\n  * For LiveView, it renders flashes and toasts.","ref":"Shino.Notification.html#notification_group/1"},{"type":"function","title":"Attributes - Shino.Notification.notification_group/1","doc":"* `id` (`:string`) - the DOM id of notification group. Defaults to `\"notification-group\"`.\n* `position` (`:atom`) - the location for showing notifications. Defaults to `:bottom_right`.\n* `flash` (`:map`) (required) - the map of flash messages.\n* `connected` (`:boolean`) - Defaults to `false`.","ref":"Shino.Notification.html#notification_group/1-attributes"},{"type":"function","title":"Shino.Notification.put_toast/4","doc":"","ref":"Shino.Notification.html#put_toast/4"},{"type":"function","title":"Shino.Notification.send_toast/3","doc":"","ref":"Shino.Notification.html#send_toast/3"},{"type":"module","title":"Shino.Notification.Base","doc":"Provides base components for deriving various types of notifications.","ref":"Shino.Notification.Base.html"},{"type":"function","title":"Shino.Notification.Base.notification/1","doc":"Base notification component.\n\nBased on the look and feel of [Sonner](https://sonner.emilkowal.ski/).","ref":"Shino.Notification.Base.html#notification/1"},{"type":"function","title":"Attributes - Shino.Notification.Base.notification/1","doc":"* `id` (`:string`) (required) - the DOM id of notification.\n* `group_id` (`:string`) (required) - the DOM id of notification group.\n* `type` (`:atom`) (required) - the type of notification.Must be one of `:flash`, `:\"lv-flash\"`, or `:\"lv-toast\"`.\n* `kind` (`:atom`) (required) - the kind of notification message.Must be one of `:info`, `:success`, `:warning`, or `:critical`.\n* `duration` (`:integer`) - the time in milliseconds before the message is automatically dismissed. Defaults to `nil`.\n* `icon` (`:any`) - Defaults to `nil`.\n* `title` (`:string`) - Defaults to `nil`.\n* `message` (`:string`) - Defaults to `nil`.\n* `action` (`:any`) - Defaults to `nil`.\n* `component` (`:any`) - An alternative component, which accepts all the attrs of current component. Defaults to `nil`.\n* Global attributes are accepted. the arbitrary attributes to add to the notification container.","ref":"Shino.Notification.Base.html#notification/1-attributes"},{"type":"function","title":"Slots - Shino.Notification.Base.notification/1","doc":"* `inner_block`","ref":"Shino.Notification.Base.html#notification/1-slots"},{"type":"type","title":"Shino.Notification.Base.kind/0","doc":"","ref":"Shino.Notification.Base.html#t:kind/0"},{"type":"module","title":"Shino.Notification.Flash","doc":"The flash system for DeadView and LiveView.","ref":"Shino.Notification.Flash.html"},{"type":"function","title":"Shino.Notification.Flash.flashes/1","doc":"Flashes are derived from `Shino.Notification.Base`.\n\nThey won't disappear util users dismiss them.","ref":"Shino.Notification.Flash.html#flashes/1"},{"type":"function","title":"Attributes - Shino.Notification.Flash.flashes/1","doc":"* `group_id` (`:string`) (required)\n* `f` (`:map`) (required)\n* `live` (`:boolean`) - Defaults to `false`.","ref":"Shino.Notification.Flash.html#flashes/1-attributes"},{"type":"module","title":"Shino.Notification.LiveComponent","doc":"The notification system for LiveView.","ref":"Shino.Notification.LiveComponent.html"},{"type":"function","title":"Shino.Notification.LiveComponent.put_toast/4","doc":"Helper function around `send_toast/3` that is useful in pipelines.\n\nUnlike `send_toast/3`, this function does not expose the UUID of the\nnew toast, so if you need to update the toast after showing it, you\nshould use `send_toast/3` directly.","ref":"Shino.Notification.LiveComponent.html#put_toast/4"},{"type":"function","title":"Examples - Shino.Notification.LiveComponent.put_toast/4","doc":"iex> put_toast(socket, :info, \"Thank you for logging in!\")\n    %LiveView.Socket{...}","ref":"Shino.Notification.LiveComponent.html#put_toast/4-examples"},{"type":"function","title":"Shino.Notification.LiveComponent.send_toast/3","doc":"Send a new toast message to the Shino.Notification component.\n\nReturns the UUID of the new toast message. This UUID can be passed back\nto another call to `send_toast/3` to update the properties of an existing toast.","ref":"Shino.Notification.LiveComponent.html#send_toast/3"},{"type":"function","title":"Examples - Shino.Notification.LiveComponent.send_toast/3","doc":"iex> send_toast(:info, \"Thank you for logging in!\", title: \"Welcome\")\n    \"00c90156-56d1-4bca-a9e2-6353d49c974a\"","ref":"Shino.Notification.LiveComponent.html#send_toast/3-examples"},{"type":"type","title":"Shino.Notification.LiveComponent.component_fn/0","doc":"`Phoenix.Component` that renders a part of the toast message.","ref":"Shino.Notification.LiveComponent.html#t:component_fn/0"},{"type":"type","title":"Shino.Notification.LiveComponent.option/0","doc":"Set of public options to augment the default toast behavior.","ref":"Shino.Notification.LiveComponent.html#t:option/0"},{"type":"module","title":"Shino.Notification.System","doc":"The notification system for system information, such as connection status.","ref":"Shino.Notification.System.html"},{"type":"function","title":"Shino.Notification.System.connection_group/1","doc":"Renders a connection group for showing connection status.","ref":"Shino.Notification.System.html#connection_group/1"},{"type":"function","title":"Attributes - Shino.Notification.System.connection_group/1","doc":"* `id` (`:string`) - the DOM id of connection group. Defaults to `\"connection-group\"`.\n* `position` (`:atom`) - the position for showing UI. Defaults to `:bottom`.\n* `client_error_message` (`:string`) - Defaults to `\"Network error, attempting to reconnect...\"`.\n* `server_error_message` (`:string`) - Defaults to `\"Service error, attempting to recover...\"`.","ref":"Shino.Notification.System.html#connection_group/1-attributes"},{"type":"module","title":"Shino.UI","doc":"UI components for Phoenix.","ref":"Shino.UI.html"},{"type":"module","title":"Usage - Shino.UI","doc":"To make all components provided by `Shino.UI` available in Phoenix templates:\n\n    defmodule DemoWeb do\n      # ...\n      def html_helpers do\n        quote do\n          # ...\n          use Shino.UI\n          # ...\n        end\n      end\n      # ...\n    end","ref":"Shino.UI.html#module-usage"},{"type":"module","title":"References - Shino.UI","doc":"> As long as they are suitable, it doesn't matter where they come from.","ref":"Shino.UI.html#module-references"},{"type":"module","title":"Projects - Shino.UI","doc":"Currently, the components are inspired by:\n\n  * [@radix-ui/primitives](https://www.radix-ui.com/primitives/)\n  * [shadcn/ui](https://github.com/shadcn-ui/ui)\n  * [bluzky/salad_ui](https://github.com/bluzky/salad_ui)","ref":"Shino.UI.html#module-projects"},{"type":"module","title":"Icons - Shino.UI","doc":"* [Tabler icons](https://tabler.io/icons).","ref":"Shino.UI.html#module-icons"},{"type":"module","title":"TODO - Shino.UI","doc":"* [ ] Add ARIA attributes\n  * [ ] Explore [Composition](https://www.radix-ui.com/primitives/docs/guides/composition)\n  * [ ] Rename the `anchor/1` components to `link/1` (this is hard due to the conflicts with `Phoenix.Component.link/1`)","ref":"Shino.UI.html#module-todo"},{"type":"function","title":"Shino.UI.component/0","doc":"","ref":"Shino.UI.html#component/0"},{"type":"function","title":"Shino.UI.default/0","doc":"","ref":"Shino.UI.html#default/0"},{"type":"module","title":"Shino.UI.AspectRatio","doc":"Provides aspect ratio related components.\n\n> Displays content within a desired ratio.","ref":"Shino.UI.AspectRatio.html"},{"type":"module","title":"References - Shino.UI.AspectRatio","doc":"* [@radix-ui/primitives - AspectRatio](https://www.radix-ui.com/primitives/docs/components/aspect-ratio)\n  * [shadcn/ui - AspectRatio](https://ui.shadcn.com/docs/components/aspect-ratio)","ref":"Shino.UI.AspectRatio.html#module-references"},{"type":"function","title":"Shino.UI.AspectRatio.aspect_ratio/1","doc":"Renders a div with fixed ratio.","ref":"Shino.UI.AspectRatio.html#aspect_ratio/1"},{"type":"function","title":"Examples - Shino.UI.AspectRatio.aspect_ratio/1","doc":"```heex\n<.aspect_ratio ratio={16 / 9}>\n   \n</.aspect_ratio>\n```","ref":"Shino.UI.AspectRatio.html#aspect_ratio/1-examples"},{"type":"function","title":"Attributes - Shino.UI.AspectRatio.aspect_ratio/1","doc":"* `ratio` (`:float`) (required)\n* `style` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.AspectRatio.html#aspect_ratio/1-attributes"},{"type":"function","title":"Slots - Shino.UI.AspectRatio.aspect_ratio/1","doc":"* `inner_block` (required)","ref":"Shino.UI.AspectRatio.html#aspect_ratio/1-slots"},{"type":"module","title":"Shino.UI.Attrs","doc":"Provides attrs related components.","ref":"Shino.UI.Attrs.html"},{"type":"module","title":"Examples - Shino.UI.Attrs","doc":"```heex\n \n  <:item name=\"Subtotal\">$299.00</:item>\n  <:item name=\"Shipping\">$5.00</:item>\n  <:item name=\"Tax\">$25.00</:item>\n \n```\n\nOr:\n\n```heex\n \n   \n     Subtotal \n     $299.00 \n   \n   \n     Shipping \n     $5.00 \n   \n   \n     Tax \n     $25.00 \n   \n \n```","ref":"Shino.UI.Attrs.html#module-examples"},{"type":"function","title":"Shino.UI.Attrs.item/1","doc":"Renders an attr item.","ref":"Shino.UI.Attrs.html#item/1"},{"type":"function","title":"Attributes - Shino.UI.Attrs.item/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Attrs.html#item/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Attrs.item/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Attrs.html#item/1-slots"},{"type":"function","title":"Shino.UI.Attrs.list/1","doc":"Rendrs an attr list.\n\n> It's a simplified version of the lits built by ` ` and its\n> associated components.","ref":"Shino.UI.Attrs.html#list/1"},{"type":"function","title":"Attributes - Shino.UI.Attrs.list/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Attrs.html#list/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Attrs.list/1","doc":"* `item` (required) - Accepts attributes:\n\n  * `name` (`:string`) (required)","ref":"Shino.UI.Attrs.html#list/1-slots"},{"type":"function","title":"Shino.UI.Attrs.name/1","doc":"Renders an attr name.","ref":"Shino.UI.Attrs.html#name/1"},{"type":"function","title":"Attributes - Shino.UI.Attrs.name/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Attrs.html#name/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Attrs.name/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Attrs.html#name/1-slots"},{"type":"function","title":"Shino.UI.Attrs.root/1","doc":"The root contains all the parts of an attr list.","ref":"Shino.UI.Attrs.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Attrs.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Attrs.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Attrs.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Attrs.html#root/1-slots"},{"type":"function","title":"Shino.UI.Attrs.value/1","doc":"Renders an attr value.","ref":"Shino.UI.Attrs.html#value/1"},{"type":"function","title":"Attributes - Shino.UI.Attrs.value/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Attrs.html#value/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Attrs.value/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Attrs.html#value/1-slots"},{"type":"module","title":"Shino.UI.Avatar","doc":"Provides avatar related components.\n\n> Displays an image with a fallback for representing the user.","ref":"Shino.UI.Avatar.html"},{"type":"module","title":"Examples - Shino.UI.Avatar","doc":"```heex\n \n   \n   CN \n \n```\n\n```heex\n \n   \n   CN \n \n```","ref":"Shino.UI.Avatar.html#module-examples"},{"type":"module","title":"References - Shino.UI.Avatar","doc":"* [@radix-ui/primitives - Avatar](https://www.radix-ui.com/primitives/docs/components/avatar)\n  * [shadcn/ui - Avatar](https://ui.shadcn.com/docs/components/avatar).","ref":"Shino.UI.Avatar.html#module-references"},{"type":"function","title":"Shino.UI.Avatar.fallback/1","doc":"Renders an avatar fallback.","ref":"Shino.UI.Avatar.html#fallback/1"},{"type":"function","title":"Attributes - Shino.UI.Avatar.fallback/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Avatar.html#fallback/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Avatar.fallback/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Avatar.html#fallback/1-slots"},{"type":"function","title":"Shino.UI.Avatar.image/1","doc":"Renders an avatar image.","ref":"Shino.UI.Avatar.html#image/1"},{"type":"function","title":"Attributes - Shino.UI.Avatar.image/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"src\"]`.","ref":"Shino.UI.Avatar.html#image/1-attributes"},{"type":"function","title":"Shino.UI.Avatar.root/1","doc":"The root contains all the parts of an avatar.","ref":"Shino.UI.Avatar.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Avatar.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Avatar.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Avatar.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Avatar.html#root/1-slots"},{"type":"module","title":"Shino.UI.Badge","doc":"Provides badge related components.","ref":"Shino.UI.Badge.html"},{"type":"module","title":"References - Shino.UI.Badge","doc":"* [shadcn/ui - Badge](https://ui.shadcn.com/docs/components/badge).","ref":"Shino.UI.Badge.html#module-references"},{"type":"function","title":"Shino.UI.Badge.badge/1","doc":"Renders a badge.","ref":"Shino.UI.Badge.html#badge/1"},{"type":"function","title":"Examples - Shino.UI.Badge.badge/1","doc":"```heex\n<.badge>Default</.badge>\n<.badge variant=\"secondary\">Secondary</.badge>\n<.badge variant=\"outline\">Outline</.badge>\n<.badge variant=\"destructive\">Destructive</.badge>\n```","ref":"Shino.UI.Badge.html#badge/1-examples"},{"type":"function","title":"Attributes - Shino.UI.Badge.badge/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* `variant` (`:string`) - Defaults to `\"default\"`.\n* Global attributes are accepted.","ref":"Shino.UI.Badge.html#badge/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Badge.badge/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Badge.html#badge/1-slots"},{"type":"module","title":"Shino.UI.Breadcrumb","doc":"Provides breadcrumb related components.\n\n> Displays the path to the current resource using a hierarchy of links.","ref":"Shino.UI.Breadcrumb.html"},{"type":"module","title":"Examples - Shino.UI.Breadcrumb","doc":"","ref":"Shino.UI.Breadcrumb.html#module-examples"},{"type":"module","title":"Basic - Shino.UI.Breadcrumb","doc":"```heex\n \n   \n     \n       Home \n     \n     \n     \n       \n     \n     \n     \n       Components \n     \n     \n     \n       Breadcrumb \n     \n   \n \n```","ref":"Shino.UI.Breadcrumb.html#module-basic"},{"type":"module","title":"Collapsed - Shino.UI.Breadcrumb","doc":"Use ` ` component to show a collapsed state when the\nbreadcrumb is too long.\n\n```heex\n \n   \n    <% # ... %>\n     \n       \n     \n    <% # ... %>\n   \n \n```","ref":"Shino.UI.Breadcrumb.html#module-collapsed"},{"type":"module","title":"References - Shino.UI.Breadcrumb","doc":"* [shadcn/ui - Breadcrumb](https://ui.shadcn.com/docs/components/breadcrumb)","ref":"Shino.UI.Breadcrumb.html#module-references"},{"type":"function","title":"Shino.UI.Breadcrumb.anchor/1","doc":"Renders a breadcrumb link.","ref":"Shino.UI.Breadcrumb.html#anchor/1"},{"type":"function","title":"Attributes - Shino.UI.Breadcrumb.anchor/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"href\", \"navigate\", \"patch\", \"method\"]`.","ref":"Shino.UI.Breadcrumb.html#anchor/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Breadcrumb.anchor/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Breadcrumb.html#anchor/1-slots"},{"type":"function","title":"Shino.UI.Breadcrumb.ellipsis/1","doc":"Renders a breadcrumb ellipsis.","ref":"Shino.UI.Breadcrumb.html#ellipsis/1"},{"type":"function","title":"Customization - Shino.UI.Breadcrumb.ellipsis/1","doc":"To create a custom ellipsis, put the custom content to the `:inner_block` slot:\n\n```heex\n \n  <% # custom content %>\n \n```","ref":"Shino.UI.Breadcrumb.html#ellipsis/1-customization"},{"type":"function","title":"Attributes - Shino.UI.Breadcrumb.ellipsis/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Breadcrumb.html#ellipsis/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Breadcrumb.ellipsis/1","doc":"* `inner_block`","ref":"Shino.UI.Breadcrumb.html#ellipsis/1-slots"},{"type":"function","title":"Shino.UI.Breadcrumb.item/1","doc":"Renders a breadcrumb item.\n\nIn theory, you can put anything into a breadcrumb item, such as:\n\n  * a link\n  * a dropdown menu\n  * ...","ref":"Shino.UI.Breadcrumb.html#item/1"},{"type":"function","title":"Attributes - Shino.UI.Breadcrumb.item/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Breadcrumb.html#item/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Breadcrumb.item/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Breadcrumb.html#item/1-slots"},{"type":"function","title":"Shino.UI.Breadcrumb.list/1","doc":"Renders a breadcrumb list.","ref":"Shino.UI.Breadcrumb.html#list/1"},{"type":"function","title":"Attributes - Shino.UI.Breadcrumb.list/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Breadcrumb.html#list/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Breadcrumb.list/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Breadcrumb.html#list/1-slots"},{"type":"function","title":"Shino.UI.Breadcrumb.page/1","doc":"Renders a breadcrumb page which indicates the page that user visits currently.","ref":"Shino.UI.Breadcrumb.html#page/1"},{"type":"function","title":"Attributes - Shino.UI.Breadcrumb.page/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Breadcrumb.html#page/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Breadcrumb.page/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Breadcrumb.html#page/1-slots"},{"type":"function","title":"Shino.UI.Breadcrumb.root/1","doc":"The root contains all the parts of a breadcrumb.","ref":"Shino.UI.Breadcrumb.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Breadcrumb.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Breadcrumb.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Breadcrumb.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Breadcrumb.html#root/1-slots"},{"type":"function","title":"Shino.UI.Breadcrumb.sep/1","doc":"","ref":"Shino.UI.Breadcrumb.html#sep/1"},{"type":"function","title":"Shino.UI.Breadcrumb.separator/1","doc":"Renders a breadcrumb separator.","ref":"Shino.UI.Breadcrumb.html#separator/1"},{"type":"function","title":"Customization - Shino.UI.Breadcrumb.separator/1","doc":"To create a custom separator, put the custom content to the `:inner_block` slot:\n\n```heex\n \n  <% # custom content %>\n \n```","ref":"Shino.UI.Breadcrumb.html#separator/1-customization"},{"type":"function","title":"Attributes - Shino.UI.Breadcrumb.separator/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Breadcrumb.html#separator/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Breadcrumb.separator/1","doc":"* `inner_block`","ref":"Shino.UI.Breadcrumb.html#separator/1-slots"},{"type":"module","title":"Shino.UI.ButtonLike","doc":"Provides button-like components.","ref":"Shino.UI.ButtonLike.html"},{"type":"module","title":"References - Shino.UI.ButtonLike","doc":"* [shadcn/ui - Button](https://ui.shadcn.com/docs/components/button).\n  * [@radix-ui/primitives - Button](https://www.radix-ui.com/primitives/docs/components/button)","ref":"Shino.UI.ButtonLike.html#module-references"},{"type":"function","title":"Shino.UI.ButtonLike.anchor/1","doc":"Renders a link.\n\n> This components is implemented similarly to `<.button />`, except the\n> underlying element is changed to `<.link />`.\n\n> This is a workaround for the lack of `asChild` support in `Phoenix.Component`.","ref":"Shino.UI.ButtonLike.html#anchor/1"},{"type":"function","title":"Attributes - Shino.UI.ButtonLike.anchor/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* `variant` (`:string`) - Defaults to `\"default\"`.\n* `size` (`:string`) - Defaults to `\"default\"`.\n* Global attributes are accepted. Supports all globals plus: `[\"href\", \"navigate\", \"patch\", \"method\"]`.","ref":"Shino.UI.ButtonLike.html#anchor/1-attributes"},{"type":"function","title":"Slots - Shino.UI.ButtonLike.anchor/1","doc":"* `inner_block` (required)","ref":"Shino.UI.ButtonLike.html#anchor/1-slots"},{"type":"function","title":"Shino.UI.ButtonLike.button/1","doc":"Renders a button.","ref":"Shino.UI.ButtonLike.html#button/1"},{"type":"function","title":"Examples - Shino.UI.ButtonLike.button/1","doc":"All available variants:\n```heex\n<.button variant=\"default\">Default</.button>\n<.button variant=\"secondary\">Secondary</.button>\n<.button variant=\"destructive\">Destructive</.button>\n<.button variant=\"outline\">Outline</.button>\n<.button variant=\"ghost\">Ghost</.button>\n<.button variant=\"link\">Link</.button>\n```\n\nAll available sizes:\n```heex\n<.button size=\"default\">Default</.button>\n<.button size=\"sm\">Small</.button>\n<.button size=\"lg\">Large</.button>\n<.button size=\"icon\">Icon</.button>\n```\n\nRender a default button:\n```heex\n<.button>Button</.button>\n```\n\nRender a button with icon only:\n```heex\n<.button variant=\"outline\" size=\"icon\">\n  <.icon name=\"hero-chevron-right-mini\" />\n</.button>\n```\n\nRender a button with icon and text:\n```heex\n<.button>\n  <.icon name=\"hero-chat-bubble-left\" class=\"w-6 h-6 mr-2\" /> Chat with me\n</.button>\n```","ref":"Shino.UI.ButtonLike.html#button/1-examples"},{"type":"function","title":"Attributes - Shino.UI.ButtonLike.button/1","doc":"* `type` (`:string`) - Defaults to `nil`.\n* `class` (`:any`) - Defaults to `nil`.\n* `variant` (`:string`) - Defaults to `\"default\"`.\n* `size` (`:string`) - Defaults to `\"default\"`.\n* Global attributes are accepted. Supports all globals plus: `[\"disabled\", \"form\", \"name\", \"value\"]`.","ref":"Shino.UI.ButtonLike.html#button/1-attributes"},{"type":"function","title":"Slots - Shino.UI.ButtonLike.button/1","doc":"* `inner_block` (required)","ref":"Shino.UI.ButtonLike.html#button/1-slots"},{"type":"module","title":"Shino.UI.Card","doc":"Provides card related components.\n\n> Displays a card with optional header, content, and footer.","ref":"Shino.UI.Card.html"},{"type":"module","title":"Examples - Shino.UI.Card","doc":"```heex\n \n   \n     Orders \n     Recent orders from your store. \n   \n   \n    <% # the list of orders %>\n   \n   \n    <% # more controls %>\n   \n \n```\n\nIf you only wanna a card skeleton, use `Card.root/1` without header,\ncontent and footer:\n\n```heex\n \n  <% # the list of orders, and customize the style as you need %>\n \n```","ref":"Shino.UI.Card.html#module-examples"},{"type":"module","title":"References - Shino.UI.Card","doc":"* [shadcn/ui - Card](https://ui.shadcn.com/docs/components/card)","ref":"Shino.UI.Card.html#module-references"},{"type":"function","title":"Shino.UI.Card.content/1","doc":"Renders a card content.","ref":"Shino.UI.Card.html#content/1"},{"type":"function","title":"Attributes - Shino.UI.Card.content/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Card.html#content/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Card.content/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Card.html#content/1-slots"},{"type":"function","title":"Shino.UI.Card.description/1","doc":"Renders a card description.","ref":"Shino.UI.Card.html#description/1"},{"type":"function","title":"Attributes - Shino.UI.Card.description/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Card.html#description/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Card.description/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Card.html#description/1-slots"},{"type":"function","title":"Shino.UI.Card.footer/1","doc":"Renders a card footer.","ref":"Shino.UI.Card.html#footer/1"},{"type":"function","title":"Attributes - Shino.UI.Card.footer/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Card.html#footer/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Card.footer/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Card.html#footer/1-slots"},{"type":"function","title":"Shino.UI.Card.header/1","doc":"Renders a card header.","ref":"Shino.UI.Card.html#header/1"},{"type":"function","title":"Attributes - Shino.UI.Card.header/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Card.html#header/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Card.header/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Card.html#header/1-slots"},{"type":"function","title":"Shino.UI.Card.root/1","doc":"The root contains all the parts of a card.","ref":"Shino.UI.Card.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Card.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Card.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Card.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Card.html#root/1-slots"},{"type":"function","title":"Shino.UI.Card.title/1","doc":"Renders a card title.","ref":"Shino.UI.Card.html#title/1"},{"type":"function","title":"Attributes - Shino.UI.Card.title/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Card.html#title/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Card.title/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Card.html#title/1-slots"},{"type":"module","title":"Shino.UI.Collapsible","doc":"Provides collapsible related components.\n\n> Displays content that is collapsible.","ref":"Shino.UI.Collapsible.html"},{"type":"module","title":"Examples - Shino.UI.Collapsible","doc":"```heex\n \n   \n    Show more repos\n   \n\n   Repo A \n\n   \n     Repo B \n     Repo C \n   \n \n```","ref":"Shino.UI.Collapsible.html#module-examples"},{"type":"module","title":"References - Shino.UI.Collapsible","doc":"* [@radix-ui/primitives - Collapsible](https://www.radix-ui.com/primitives/docs/components/collapsible)\n  * [shadcn/ui - Collapsible](https://ui.shadcn.com/docs/components/collapsible)","ref":"Shino.UI.Collapsible.html#module-references"},{"type":"function","title":"Shino.UI.Collapsible.content/1","doc":"Renders the content of a collapsible.","ref":"Shino.UI.Collapsible.html#content/1"},{"type":"function","title":"Attributes - Shino.UI.Collapsible.content/1","doc":"* `for` (`Shino.UI.Collapsible.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Collapsible.html#content/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Collapsible.content/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Collapsible.html#content/1-slots"},{"type":"function","title":"Shino.UI.Collapsible.root/1","doc":"The root contains all the parts of a collapsible.","ref":"Shino.UI.Collapsible.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Collapsible.root/1","doc":"* `id` (`:string`) (required)\n* `default_open` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Collapsible.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Collapsible.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Collapsible.html#root/1-slots"},{"type":"function","title":"Shino.UI.Collapsible.trigger/1","doc":"Renders the trigger of a collapsible.","ref":"Shino.UI.Collapsible.html#trigger/1"},{"type":"function","title":"Attributes - Shino.UI.Collapsible.trigger/1","doc":"* `for` (`Shino.UI.Collapsible.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Collapsible.html#trigger/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Collapsible.trigger/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Collapsible.html#trigger/1-slots"},{"type":"module","title":"Shino.UI.Dialog","doc":"Provides dialog related components.\n\n> Displays content underneath inert.","ref":"Shino.UI.Dialog.html"},{"type":"module","title":"Related components - Shino.UI.Dialog","doc":"* `Shino.UI.Sheet`","ref":"Shino.UI.Dialog.html#module-related-components"},{"type":"module","title":"Availale components - Shino.UI.Dialog","doc":"Components are divided into two categories: control components and style components.\n\nControl components:\n\n  * ` `\n  * ` `\n  * ` `\n  * ` `\n  * ` `\n\nStyle components:\n\n  * ` `\n  * ` `\n  * ` `\n  * ` `","ref":"Shino.UI.Dialog.html#module-availale-components"},{"type":"module","title":"Opening and closing a sheet - Shino.UI.Dialog","doc":"For opening a sheet, you can use:\n\n  * `:default_open` attr of ` ` component\n  * ` ` component\n\nFor closing a sheet, you can use:\n\n  * ` ` component\n  * ` ` component\n  * the builtin user interactions:\n    * clicking outside of the dialog\n    * pressing ESC key","ref":"Shino.UI.Dialog.html#module-opening-and-closing-a-sheet"},{"type":"module","title":"Examples - Shino.UI.Dialog","doc":"Use with a trigger:\n\n```heex\n \n   \n    <.button>Open profile diaglog</.button>\n   \n\n   \n     \n       Edit profile \n       \n        Make changes to your profile here, and click save when you're done.\n       \n     \n\n     \n      <% # ... %>\n     \n\n     \n      <.button type=\"submit\">Save</.button>\n     \n   \n \n```\n\nUse with routing:\n\n```heex\n \n   \n     \n       Edit profile \n       \n        Make changes to your profile here, and click save when you're done.\n       \n     \n\n     \n      <% # ... %>\n     \n\n     \n       <.button type=\"submit\">Save</.button>\n     \n   \n \n```","ref":"Shino.UI.Dialog.html#module-examples"},{"type":"module","title":"References - Shino.UI.Dialog","doc":"* [shadcn/ui - Dialog](https://ui.shadcn.com/docs/components/dialog)\n  * [@radix-ui/primitives - Dialog](https://www.radix-ui.com/primitives/docs/components/dialog)","ref":"Shino.UI.Dialog.html#module-references"},{"type":"function","title":"Shino.UI.Dialog.close/1","doc":"Renders a dialog close.","ref":"Shino.UI.Dialog.html#close/1"},{"type":"function","title":"Attributes - Shino.UI.Dialog.close/1","doc":"* `for` (`Shino.UI.Dialog.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Dialog.html#close/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Dialog.close/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Dialog.html#close/1-slots"},{"type":"function","title":"Shino.UI.Dialog.content/1","doc":"Renders a dialog content.","ref":"Shino.UI.Dialog.html#content/1"},{"type":"function","title":"Attributes - Shino.UI.Dialog.content/1","doc":"* `for` (`Shino.UI.Dialog.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.","ref":"Shino.UI.Dialog.html#content/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Dialog.content/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Dialog.html#content/1-slots"},{"type":"function","title":"Shino.UI.Dialog.default_close/1","doc":"Renders a default close for dialog.\n\nAs its name implied, it's a default component, so it doesn't accept any kind\nof customization.","ref":"Shino.UI.Dialog.html#default_close/1"},{"type":"function","title":"Attributes - Shino.UI.Dialog.default_close/1","doc":"* `for` (`Shino.UI.Dialog.Root`) (required)","ref":"Shino.UI.Dialog.html#default_close/1-attributes"},{"type":"function","title":"Shino.UI.Dialog.description/1","doc":"Renders a dialog description.","ref":"Shino.UI.Dialog.html#description/1"},{"type":"function","title":"Attributes - Shino.UI.Dialog.description/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Dialog.html#description/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Dialog.description/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Dialog.html#description/1-slots"},{"type":"function","title":"Shino.UI.Dialog.footer/1","doc":"Renders a dialog footer.","ref":"Shino.UI.Dialog.html#footer/1"},{"type":"function","title":"Attributes - Shino.UI.Dialog.footer/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Dialog.html#footer/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Dialog.footer/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Dialog.html#footer/1-slots"},{"type":"function","title":"Shino.UI.Dialog.header/1","doc":"Renders a dialog header.","ref":"Shino.UI.Dialog.html#header/1"},{"type":"function","title":"Attributes - Shino.UI.Dialog.header/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Dialog.html#header/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Dialog.header/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Dialog.html#header/1-slots"},{"type":"function","title":"Shino.UI.Dialog.root/1","doc":"The root contains all the parts of a dialog.","ref":"Shino.UI.Dialog.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Dialog.root/1","doc":"* `id` (`:string`) (required)\n* `default_open` (`:boolean`) - Defaults to `false`.\n* `on_cancel` (`Phoenix.LiveView.JS`) - Defaults to `%Phoenix.LiveView.JS{ops: []}`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Dialog.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Dialog.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Dialog.html#root/1-slots"},{"type":"function","title":"Shino.UI.Dialog.title/1","doc":"Renders a dialog title.","ref":"Shino.UI.Dialog.html#title/1"},{"type":"function","title":"Attributes - Shino.UI.Dialog.title/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Dialog.html#title/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Dialog.title/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Dialog.html#title/1-slots"},{"type":"function","title":"Shino.UI.Dialog.trigger/1","doc":"Renders a sheet trigger.","ref":"Shino.UI.Dialog.html#trigger/1"},{"type":"function","title":"Attributes - Shino.UI.Dialog.trigger/1","doc":"* `for` (`Shino.UI.Dialog.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Dialog.html#trigger/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Dialog.trigger/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Dialog.html#trigger/1-slots"},{"type":"module","title":"Shino.UI.Form","doc":"Provides form related components.\n\n> Builds forms in a more semantic way.","ref":"Shino.UI.Form.html"},{"type":"module","title":"Examples - Shino.UI.Form","doc":"Create a form for collecting post information:\n\n```heex\n \n   \n     Title \n    <.input field={field} type=\"text\" />\n     Keep it short and simple. \n     \n   \n\n   \n     Body \n    <.textarea field={field} />\n     Please write something meaningful. \n     \n   \n\n   \n     保存 \n   \n \n```","ref":"Shino.UI.Form.html#module-examples"},{"type":"module","title":"References - Shino.UI.Form","doc":"* [shadcn/ui - Form](https://ui.shadcn.com/docs/components/form)\n  * [@radix-ui/primitives - Form](https://www.radix-ui.com/primitives/docs/components/form)","ref":"Shino.UI.Form.html#module-references"},{"type":"function","title":"Shino.UI.Form.control/1","doc":"I don't know how to use it, for now.","ref":"Shino.UI.Form.html#control/1"},{"type":"function","title":"Attributes - Shino.UI.Form.control/1","doc":"* Global attributes are accepted.","ref":"Shino.UI.Form.html#control/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Form.control/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Form.html#control/1-slots"},{"type":"function","title":"Shino.UI.Form.description/1","doc":"Renders a description for a field.","ref":"Shino.UI.Form.html#description/1"},{"type":"function","title":"Attributes - Shino.UI.Form.description/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Form.html#description/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Form.description/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Form.html#description/1-slots"},{"type":"function","title":"Shino.UI.Form.error/1","doc":"Renders errors for a field.","ref":"Shino.UI.Form.html#error/1"},{"type":"function","title":"Localization - Shino.UI.Form.error/1","doc":"This component accepts a one-arity function as `:translate_error` attr.\nThe argument is `{msg, opts}`. You can implement this function with gettext\nlike this:\n\n    def translate_error({msg, opts}) do\n      if count = opts[:count] do\n        Gettext.dngettext(DemoWeb.Gettext, \"errors\", msg, msg, count, opts)\n      else\n        Gettext.dgettext(DemoWeb.Gettext, \"errors\", msg, opts)\n      end\n    end","ref":"Shino.UI.Form.html#error/1-localization"},{"type":"function","title":"Attributes - Shino.UI.Form.error/1","doc":"* `field` (`Phoenix.HTML.FormField`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* `translate_error` (`:any`) - Defaults to `&Shino.UI.Form.translate_error/1`.\n* Global attributes are accepted.","ref":"Shino.UI.Form.html#error/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Form.error/1","doc":"* `inner_block`","ref":"Shino.UI.Form.html#error/1-slots"},{"type":"function","title":"Shino.UI.Form.error_block/1","doc":"Renders an error block.","ref":"Shino.UI.Form.html#error_block/1"},{"type":"function","title":"Attributes - Shino.UI.Form.error_block/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Form.html#error_block/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Form.error_block/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Form.html#error_block/1-slots"},{"type":"function","title":"Shino.UI.Form.error_field?/1","doc":"Checks if a field has errors.","ref":"Shino.UI.Form.html#error_field?/1"},{"type":"function","title":"Shino.UI.Form.field/1","doc":"Renders a wrapper for wrapping parts of a field.","ref":"Shino.UI.Form.html#field/1"},{"type":"function","title":"Attributes - Shino.UI.Form.field/1","doc":"* `field` (`Phoenix.HTML.FormField`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Form.html#field/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Form.field/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Form.html#field/1-slots"},{"type":"function","title":"Shino.UI.Form.label/1","doc":"Renders a label for a field.","ref":"Shino.UI.Form.html#label/1"},{"type":"function","title":"Attributes - Shino.UI.Form.label/1","doc":"* `for` (`Phoenix.HTML.FormField`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Form.html#label/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Form.label/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Form.html#label/1-slots"},{"type":"function","title":"Shino.UI.Form.root/1","doc":"The root contains all the parts of a form.","ref":"Shino.UI.Form.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Form.root/1","doc":"* `for` (`:any`) (required)\n* `as` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"autocomplete\", \"name\", \"rel\", \"action\", \"enctype\", \"method\", \"novalidate\", \"target\", \"multipart\"]`.","ref":"Shino.UI.Form.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Form.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Form.html#root/1-slots"},{"type":"function","title":"Shino.UI.Form.submit/1","doc":"Renders a submit button for the form.","ref":"Shino.UI.Form.html#submit/1"},{"type":"function","title":"Attributes - Shino.UI.Form.submit/1","doc":"* `type` (`:string`) - Defaults to `\"submit\"`.\n* Global attributes are accepted.","ref":"Shino.UI.Form.html#submit/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Form.submit/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Form.html#submit/1-slots"},{"type":"function","title":"Shino.UI.Form.to_form/2","doc":"Converts a `Phoenix.HTML.FormField` struct into a `Phoenix.HTML.Form` struct.\n\nIt's a complement to `Phoenix.Component.to_form/2`.\n\n> In general, you should use `Phoenix.LiveView.inputs_for/1`.","ref":"Shino.UI.Form.html#to_form/2"},{"type":"module","title":"Shino.UI.GradientMask","doc":"Provides gradient mask related components.","ref":"Shino.UI.GradientMask.html"},{"type":"function","title":"Shino.UI.GradientMask.gradient_mask/1","doc":"Renders a gradient mask.","ref":"Shino.UI.GradientMask.html#gradient_mask/1"},{"type":"function","title":"Examples - Shino.UI.GradientMask.gradient_mask/1","doc":"```heex\n<.gradient_mask side=\"left\" />\n<.gradient_mask side=\"right\" />\n<.gradient_mask side=\"top\" />\n<.gradient_mask side=\"down\" />\n```","ref":"Shino.UI.GradientMask.html#gradient_mask/1-examples"},{"type":"function","title":"Attributes - Shino.UI.GradientMask.gradient_mask/1","doc":"* `side` (`:string`) (required) - Must be one of `\"left\"`, `\"right\"`, `\"top\"`, or `\"bottom\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.GradientMask.html#gradient_mask/1-attributes"},{"type":"function","title":"Slots - Shino.UI.GradientMask.gradient_mask/1","doc":"* `inner_block`","ref":"Shino.UI.GradientMask.html#gradient_mask/1-slots"},{"type":"module","title":"Shino.UI.HoverCard","doc":"Provides hover card related components.\n\n> For sighted users to preview content available behind a link.","ref":"Shino.UI.HoverCard.html"},{"type":"module","title":"Examples - Shino.UI.HoverCard","doc":"```heex\n \n   \n    Hover Me\n   \n   \n    Here is a Card\n   \n \n```","ref":"Shino.UI.HoverCard.html#module-examples"},{"type":"module","title":"References - Shino.UI.HoverCard","doc":"* [@radix-ui/primitives - Hover Card](https://www.radix-ui.com/primitives/docs/components/hover-card)\n  * [shadcn/ui - Hover Card](https://ui.shadcn.com/docs/components/hover-card)","ref":"Shino.UI.HoverCard.html#module-references"},{"type":"function","title":"Shino.UI.HoverCard.content/1","doc":"Render a hover card content.","ref":"Shino.UI.HoverCard.html#content/1"},{"type":"function","title":"Attributes - Shino.UI.HoverCard.content/1","doc":"* `for` (`Shino.UI.HoverCard.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.HoverCard.html#content/1-attributes"},{"type":"function","title":"Slots - Shino.UI.HoverCard.content/1","doc":"* `inner_block` (required)","ref":"Shino.UI.HoverCard.html#content/1-slots"},{"type":"function","title":"Shino.UI.HoverCard.root/1","doc":"The root contains all the parts of a hover card.","ref":"Shino.UI.HoverCard.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.HoverCard.root/1","doc":"* `side` (`:string`) - Defaults to `\"bottom\"`.\n* `align` (`:string`) - Defaults to `\"center\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.HoverCard.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.HoverCard.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.HoverCard.html#root/1-slots"},{"type":"function","title":"Shino.UI.HoverCard.trigger/1","doc":"Renders a hover card trigger.","ref":"Shino.UI.HoverCard.html#trigger/1"},{"type":"function","title":"Attributes - Shino.UI.HoverCard.trigger/1","doc":"* `for` (`Shino.UI.HoverCard.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.HoverCard.html#trigger/1-attributes"},{"type":"function","title":"Slots - Shino.UI.HoverCard.trigger/1","doc":"* `inner_block` (required)","ref":"Shino.UI.HoverCard.html#trigger/1-slots"},{"type":"module","title":"Shino.UI.Input","doc":"Provides input related components.","ref":"Shino.UI.Input.html"},{"type":"module","title":"About main attrs - Shino.UI.Input","doc":"All components in this module accept four main attrs:\n\n  * `:field` - a `Phoenix.HTML.FormField` struct\n  * `:id`\n  * `:name`\n  * `:value`\n\nWhen a `:field` attr is passed, `:id`, `:name` and `:value` can be retrieved\nfrom it. So, it's not necessary to specify them:\n\n```heex\n \n```\n\nOtherwise `:name`, `:value` should be passed explicitly:\n\n```heex\n \n```","ref":"Shino.UI.Input.html#module-about-main-attrs"},{"type":"module","title":"About file uploads - Shino.UI.Input","doc":"For live file uploads, see `Phoenix.Component.live_file_input/1`.","ref":"Shino.UI.Input.html#module-about-file-uploads"},{"type":"module","title":"More information of inputs - Shino.UI.Input","doc":"See   for more\ninformation. Unsupported inputs are best written directly in your templates.","ref":"Shino.UI.Input.html#module-more-information-of-inputs"},{"type":"module","title":"Notes - Shino.UI.Input","doc":"Differents from other components, input components are using `focus:`, instead of\n`focus-visible:`.","ref":"Shino.UI.Input.html#module-notes"},{"type":"module","title":"References - Shino.UI.Input","doc":"* [shadcn/ui - Input](https://ui.shadcn.com/docs/components/input)","ref":"Shino.UI.Input.html#module-references"},{"type":"function","title":"Shino.UI.Input.checkbox/1","doc":"Renders a checkbox.\n\n> In theory, this is this component should be implemented within the input\n> component, but to avoid complicating the attrs of input component, an\n> additional component was created.","ref":"Shino.UI.Input.html#checkbox/1"},{"type":"function","title":"Notes - Shino.UI.Input.checkbox/1","doc":"To make this component pretty by default, extra style is added. If you find\nIf you find that this component does not meet your needs, feel free to submit\na PR.","ref":"Shino.UI.Input.html#checkbox/1-notes"},{"type":"function","title":"Examples - Shino.UI.Input.checkbox/1","doc":"```heex\n<.checkbox field={@form[:remember_me]} label=\"Remember me\" />\n```","ref":"Shino.UI.Input.html#checkbox/1-examples"},{"type":"function","title":"Attributes - Shino.UI.Input.checkbox/1","doc":"* `field` (`Phoenix.HTML.FormField`)\n* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `value` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `checked` (`:boolean`)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Input.html#checkbox/1-attributes"},{"type":"function","title":"Shino.UI.Input.input/1","doc":"Renders an input.","ref":"Shino.UI.Input.html#input/1"},{"type":"function","title":"Examples - Shino.UI.Input.input/1","doc":"```\n<.input name=\"email\" \"type=\"email\" />\n```\n\nUse a form field:\n\n```heex\n<.input field={@form[:email]} type=\"email\" placeholder=\"Enter your email\" />\n```","ref":"Shino.UI.Input.html#input/1-examples"},{"type":"function","title":"Attributes - Shino.UI.Input.input/1","doc":"* `field` (`Phoenix.HTML.FormField`)\n* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"accept\", \"autocomplete\", \"capture\", \"cols\", \"disabled\", \"form\", \"list\", \"max\", \"maxlength\", \"min\", \"minlength\", \"multiple\", \"pattern\", \"placeholder\", \"readonly\", \"required\", \"rows\", \"size\", \"step\"]`.","ref":"Shino.UI.Input.html#input/1-attributes"},{"type":"function","title":"Shino.UI.Input.input_group/1","doc":"Extends inputs with extra addons.","ref":"Shino.UI.Input.html#input_group/1"},{"type":"function","title":"Supported addons - Shino.UI.Input.input_group/1","doc":"* `input_group_text/1`","ref":"Shino.UI.Input.html#input_group/1-supported-addons"},{"type":"function","title":"Compatible inputs - Shino.UI.Input.input_group/1","doc":"* `input/1`\n  * `select/1`","ref":"Shino.UI.Input.html#input_group/1-compatible-inputs"},{"type":"function","title":"Examples - Shino.UI.Input.input_group/1","doc":"```heex\n<.input_group>\n  <.input_group_text>@</.input_group_text>\n  <.input name=\"name\" value=\"\" />\n</.input_group>\n```\n\nMultiple inputs:\n\n```heex\n<.input_group>\n  <.input name=\"username\" value=\"\" />\n  <.input_group_text>@</.input_group_text>\n  <.input name=\"server\" value=\"\" />\n</.input_group>\n```","ref":"Shino.UI.Input.html#input_group/1-examples"},{"type":"function","title":"References - Shino.UI.Input.input_group/1","doc":"* [Bootstrap > Forms > Input group](https://getbootstrap.com/docs/5.3/forms/input-group/)","ref":"Shino.UI.Input.html#input_group/1-references"},{"type":"function","title":"Attributes - Shino.UI.Input.input_group/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Input.html#input_group/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Input.input_group/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Input.html#input_group/1-slots"},{"type":"function","title":"Shino.UI.Input.input_group_text/1","doc":"Renders a text addon for input group.\n\nRead the doc of `input_group/1` for more information.","ref":"Shino.UI.Input.html#input_group_text/1"},{"type":"function","title":"Attributes - Shino.UI.Input.input_group_text/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Input.html#input_group_text/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Input.input_group_text/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Input.html#input_group_text/1-slots"},{"type":"function","title":"Shino.UI.Input.select/1","doc":"Renders a select.","ref":"Shino.UI.Input.html#select/1"},{"type":"function","title":"Examples - Shino.UI.Input.select/1","doc":"```heex\n<.select\n  field={@form[:time_range]}\n  options={[\n    \"Today\": \"today\",\n    \"Yesterday\": \"yesterday\",\n    \"Current Month\": \"current-month\",\n    \"Current Year\": \"current-year\"\n  ]}\n/>\n```\n\nFor the detail of `:options` attr, read the doc of `Phoenix.HTML.Form.options_for_select/2`.","ref":"Shino.UI.Input.html#select/1-examples"},{"type":"function","title":"Attributes - Shino.UI.Input.select/1","doc":"* `field` (`Phoenix.HTML.FormField`)\n* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:string`)\n* `value` (`:string`)\n* `prompt` (`:string`) - Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - Defaults to `false`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Input.html#select/1-attributes"},{"type":"function","title":"Shino.UI.Input.switch/1","doc":"Renders a switch.\n\n> This is a actually a checkbox with fancy style.\n\n> Some people also call it toggle.","ref":"Shino.UI.Input.html#switch/1"},{"type":"function","title":"Examples - Shino.UI.Input.switch/1","doc":"```heex\n<.switch field={@form[:force_update]} />\n```","ref":"Shino.UI.Input.html#switch/1-examples"},{"type":"function","title":"Attributes - Shino.UI.Input.switch/1","doc":"* `field` (`Phoenix.HTML.FormField`)\n* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `value` (`:any`)\n* `checked` (`:boolean`)\n* `class` (`:any`) - Defaults to `nil`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* Global attributes are accepted.","ref":"Shino.UI.Input.html#switch/1-attributes"},{"type":"function","title":"Shino.UI.Input.textarea/1","doc":"Renders a textarea.","ref":"Shino.UI.Input.html#textarea/1"},{"type":"function","title":"Examples - Shino.UI.Input.textarea/1","doc":"```heex\n<.textarea field={@form[:body]} class=\"resize-none\" rows=\"6\" />\n```","ref":"Shino.UI.Input.html#textarea/1-examples"},{"type":"function","title":"Attributes - Shino.UI.Input.textarea/1","doc":"* `field` (`Phoenix.HTML.FormField`)\n* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:string`)\n* `value` (`:string`)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"rows\"]`.","ref":"Shino.UI.Input.html#textarea/1-attributes"},{"type":"module","title":"Shino.UI.Label","doc":"Provides label related components.","ref":"Shino.UI.Label.html"},{"type":"module","title":"References - Shino.UI.Label","doc":"* [shadcn/ui - Label](https://ui.shadcn.com/docs/components/label).\n  * [@radix-ui/primitives - Label](https://www.radix-ui.com/primitives/docs/components/label)","ref":"Shino.UI.Label.html#module-references"},{"type":"function","title":"Shino.UI.Label.label/1","doc":"Renders a label.","ref":"Shino.UI.Label.html#label/1"},{"type":"function","title":"Examples - Shino.UI.Label.label/1","doc":"```heex\n<.label>Username</.label>\n```","ref":"Shino.UI.Label.html#label/1-examples"},{"type":"function","title":"Attributes - Shino.UI.Label.label/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"for\"]`.","ref":"Shino.UI.Label.html#label/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Label.label/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Label.html#label/1-slots"},{"type":"module","title":"Shino.UI.Menu","doc":"Provides menu related components.\n\n> Wanna `DropdownMenu`? `Popover` + `Menu` = `DropdownMenu`","ref":"Shino.UI.Menu.html"},{"type":"module","title":"Examples - Shino.UI.Menu","doc":"```heex\n \n   My Account \n   \n   \n     \n       \n        Profile\n         ⌘P \n       \n     \n     \n       \n        Billing\n         ⌘B \n       \n     \n     \n       \n        Settings\n         ⌘S \n       \n     \n   \n   \n   \n     \n      Logout\n     \n   \n \n```","ref":"Shino.UI.Menu.html#module-examples"},{"type":"module","title":"References - Shino.UI.Menu","doc":"* [shadcn/ui - Dropdown Menu](https://ui.shadcn.com/docs/components/dropdown-menu)\n  * [@radix-ui/primitives - Dropdown Menu](https://www.radix-ui.com/primitives/docs/components/dropdown-menu)","ref":"Shino.UI.Menu.html#module-references"},{"type":"function","title":"Shino.UI.Menu.anchor/1","doc":"Renders a menu anchor.","ref":"Shino.UI.Menu.html#anchor/1"},{"type":"function","title":"Attributes - Shino.UI.Menu.anchor/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"href\", \"navigate\", \"patch\", \"method\"]`.","ref":"Shino.UI.Menu.html#anchor/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Menu.anchor/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Menu.html#anchor/1-slots"},{"type":"function","title":"Shino.UI.Menu.group/1","doc":"Renders a menu group.","ref":"Shino.UI.Menu.html#group/1"},{"type":"function","title":"Attributes - Shino.UI.Menu.group/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Menu.html#group/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Menu.group/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Menu.html#group/1-slots"},{"type":"function","title":"Shino.UI.Menu.item/1","doc":"Renders a menu item.","ref":"Shino.UI.Menu.html#item/1"},{"type":"function","title":"Attributes - Shino.UI.Menu.item/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* `disabled` (`:boolean`) - Defaults to `false`.\n* Global attributes are accepted.","ref":"Shino.UI.Menu.html#item/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Menu.item/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Menu.html#item/1-slots"},{"type":"function","title":"Shino.UI.Menu.label/1","doc":"Renders a menu label.","ref":"Shino.UI.Menu.html#label/1"},{"type":"function","title":"Attributes - Shino.UI.Menu.label/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* `inset` (`:boolean`) - Defaults to `false`.\n* Global attributes are accepted.","ref":"Shino.UI.Menu.html#label/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Menu.label/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Menu.html#label/1-slots"},{"type":"function","title":"Shino.UI.Menu.plain/1","doc":"Renders a menu plain.","ref":"Shino.UI.Menu.html#plain/1"},{"type":"function","title":"Attributes - Shino.UI.Menu.plain/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"href\", \"navigate\", \"patch\"]`.","ref":"Shino.UI.Menu.html#plain/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Menu.plain/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Menu.html#plain/1-slots"},{"type":"function","title":"Shino.UI.Menu.root/1","doc":"The root contains all the parts of a menu.","ref":"Shino.UI.Menu.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Menu.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Menu.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Menu.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Menu.html#root/1-slots"},{"type":"function","title":"Shino.UI.Menu.separator/1","doc":"Renders a menu separator.","ref":"Shino.UI.Menu.html#separator/1"},{"type":"function","title":"Attributes - Shino.UI.Menu.separator/1","doc":"* `class` (`:any`) - Defaults to `nil`.","ref":"Shino.UI.Menu.html#separator/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Menu.separator/1","doc":"* `inner_block`","ref":"Shino.UI.Menu.html#separator/1-slots"},{"type":"function","title":"Shino.UI.Menu.shortcut/1","doc":"Renders a menu shortcut.","ref":"Shino.UI.Menu.html#shortcut/1"},{"type":"function","title":"Attributes - Shino.UI.Menu.shortcut/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Menu.html#shortcut/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Menu.shortcut/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Menu.html#shortcut/1-slots"},{"type":"module","title":"Shino.UI.Page","doc":"Provides page related components.\n\n> Still in building.","ref":"Shino.UI.Page.html"},{"type":"function","title":"Shino.UI.Page.header/1","doc":"Readers a page header.","ref":"Shino.UI.Page.html#header/1"},{"type":"function","title":"Attributes - Shino.UI.Page.header/1","doc":"* `class` (`:any`) - Defaults to `nil`.","ref":"Shino.UI.Page.html#header/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Page.header/1","doc":"* `inner_block` (required)\n* `subtitle`\n* `actions`","ref":"Shino.UI.Page.html#header/1-slots"},{"type":"module","title":"Shino.UI.Pagination","doc":"Provides pagination related components.","ref":"Shino.UI.Pagination.html"},{"type":"module","title":"Examples - Shino.UI.Pagination","doc":"```heex\n \n   \n     \n       \n     \n     \n       1 \n     \n     \n       2 \n     \n     \n       3 \n     \n     \n       \n     \n     \n       \n     \n   \n \n```\n\nTo override the content of `<.prev />` or `<.next />`, try:\n\n```heex\n 上一页 \n 下一页 \n```","ref":"Shino.UI.Pagination.html#module-examples"},{"type":"module","title":"References - Shino.UI.Pagination","doc":"* [shadcn/ui - Pagination](https://ui.shadcn.com/docs/components/pagination)","ref":"Shino.UI.Pagination.html#module-references"},{"type":"function","title":"Shino.UI.Pagination.anchor/1","doc":"Renders a pagination anchor.","ref":"Shino.UI.Pagination.html#anchor/1"},{"type":"function","title":"Attributes - Shino.UI.Pagination.anchor/1","doc":"* `active` (`:boolean`) - Defaults to `false`.\n* `size` (`:string`) - Defaults to `\"icon\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"href\", \"navigate\", \"patch\", \"method\"]`.","ref":"Shino.UI.Pagination.html#anchor/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Pagination.anchor/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Pagination.html#anchor/1-slots"},{"type":"function","title":"Shino.UI.Pagination.content/1","doc":"Renders a pagination content.","ref":"Shino.UI.Pagination.html#content/1"},{"type":"function","title":"Attributes - Shino.UI.Pagination.content/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Pagination.html#content/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Pagination.content/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Pagination.html#content/1-slots"},{"type":"function","title":"Shino.UI.Pagination.ellipsis/1","doc":"Renders a ellipsis.","ref":"Shino.UI.Pagination.html#ellipsis/1"},{"type":"function","title":"Attributes - Shino.UI.Pagination.ellipsis/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Pagination.html#ellipsis/1-attributes"},{"type":"function","title":"Shino.UI.Pagination.item/1","doc":"Renders a pagination item.","ref":"Shino.UI.Pagination.html#item/1"},{"type":"function","title":"Attributes - Shino.UI.Pagination.item/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Pagination.html#item/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Pagination.item/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Pagination.html#item/1-slots"},{"type":"function","title":"Shino.UI.Pagination.next/1","doc":"Renders a next button.","ref":"Shino.UI.Pagination.html#next/1"},{"type":"function","title":"Attributes - Shino.UI.Pagination.next/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"href\", \"navigate\", \"patch\"]`.","ref":"Shino.UI.Pagination.html#next/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Pagination.next/1","doc":"* `inner_block`","ref":"Shino.UI.Pagination.html#next/1-slots"},{"type":"function","title":"Shino.UI.Pagination.prev/1","doc":"","ref":"Shino.UI.Pagination.html#prev/1"},{"type":"function","title":"Shino.UI.Pagination.previous/1","doc":"Renders a previous button.","ref":"Shino.UI.Pagination.html#previous/1"},{"type":"function","title":"Attributes - Shino.UI.Pagination.previous/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"href\", \"navigate\", \"patch\"]`.","ref":"Shino.UI.Pagination.html#previous/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Pagination.previous/1","doc":"* `inner_block`","ref":"Shino.UI.Pagination.html#previous/1-slots"},{"type":"function","title":"Shino.UI.Pagination.root/1","doc":"The root contains all the parts of a popover.","ref":"Shino.UI.Pagination.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Pagination.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Pagination.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Pagination.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Pagination.html#root/1-slots"},{"type":"module","title":"Shino.UI.Popover","doc":"Provides popover related components.\n\n> Wanna `DropdownMenu`? `Popover` + `Menu` = `DropdownMenu`","ref":"Shino.UI.Popover.html"},{"type":"module","title":"Examples - Shino.UI.Popover","doc":"```heex\n \n   \n    <.button variant=\"outline\">Open</.button>\n   \n   \n    Content\n   \n \n```","ref":"Shino.UI.Popover.html#module-examples"},{"type":"module","title":"References - Shino.UI.Popover","doc":"* [shadcn/ui - Popover](https://ui.shadcn.com/docs/components/popover)\n  * [shadcn/ui - Dropdown Menu](https://ui.shadcn.com/docs/components/dropdown-menu)\n  * [@radix-ui/primitives - Popover](https://www.radix-ui.com/primitives/docs/components/popover)\n  * [@radix-ui/primitives - Dropdown Menu](https://www.radix-ui.com/primitives/docs/components/dropdown-menu)","ref":"Shino.UI.Popover.html#module-references"},{"type":"function","title":"Shino.UI.Popover.content/1","doc":"Renders the content of a popover.","ref":"Shino.UI.Popover.html#content/1"},{"type":"function","title":"Attributes - Shino.UI.Popover.content/1","doc":"* `for` (`Shino.UI.Popover.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Popover.html#content/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Popover.content/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Popover.html#content/1-slots"},{"type":"function","title":"Shino.UI.Popover.hide_popover/2","doc":"","ref":"Shino.UI.Popover.html#hide_popover/2"},{"type":"function","title":"Shino.UI.Popover.root/1","doc":"The root contains all the parts of a popover.","ref":"Shino.UI.Popover.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Popover.root/1","doc":"* `id` (`:string`) (required)\n* `side` (`:string`) - Defaults to `\"bottom\"`.\n* `align` (`:string`) - Defaults to `\"start\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Popover.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Popover.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Popover.html#root/1-slots"},{"type":"function","title":"Shino.UI.Popover.trigger/1","doc":"Renders a popover trigger.","ref":"Shino.UI.Popover.html#trigger/1"},{"type":"function","title":"Attributes - Shino.UI.Popover.trigger/1","doc":"* `for` (`Shino.UI.Popover.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Popover.html#trigger/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Popover.trigger/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Popover.html#trigger/1-slots"},{"type":"module","title":"Shino.UI.Progress","doc":"Provides progress related components.\n\n> Displays an indicator showing the completion progress of a task, typically\n> displayed as a progress bar.","ref":"Shino.UI.Progress.html"},{"type":"module","title":"References - Shino.UI.Progress","doc":"* [shadcn/ui - Progress](https://ui.shadcn.com/docs/components/progress).\n  * [@radix-ui/primitives - Progress](https://www.radix-ui.com/primitives/docs/components/progress)","ref":"Shino.UI.Progress.html#module-references"},{"type":"function","title":"Shino.UI.Progress.progress/1","doc":"Renders a progress bar.","ref":"Shino.UI.Progress.html#progress/1"},{"type":"function","title":"Examples - Shino.UI.Progress.progress/1","doc":"```heex\n<.progress value={0} />\n<.progress value={100} />\n```\n\nCustomize the height of progress bar:\n\n```heex\n<.progress value={22} class=\"h-2\"/>\n```","ref":"Shino.UI.Progress.html#progress/1-examples"},{"type":"function","title":"Attributes - Shino.UI.Progress.progress/1","doc":"* `value` (`:integer`) - Defaults to `0`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Progress.html#progress/1-attributes"},{"type":"module","title":"Shino.UI.ScrollArea","doc":"Provides scroll area related components.\n\n> Displays a scroll area which is supported by native scroll functionality.","ref":"Shino.UI.ScrollArea.html"},{"type":"module","title":"References - Shino.UI.ScrollArea","doc":"* [@radix-ui/primitives - Scroll Area](https://www.radix-ui.com/primitives/docs/components/scroll-area)\n  * [shadcn/ui - Scroll Area](https://ui.shadcn.com/docs/components/scroll-area)","ref":"Shino.UI.ScrollArea.html#module-references"},{"type":"function","title":"Shino.UI.ScrollArea.scroll_area/1","doc":"Renders a scroll area.","ref":"Shino.UI.ScrollArea.html#scroll_area/1"},{"type":"function","title":"Examples - Shino.UI.ScrollArea.scroll_area/1","doc":"```heex\n<.scroll_area class=\"h-72 w-48 rounded-md border\">\n   \n     Tags \n    <%= for tag <- 1..50 do %>\n       \n        v2.2.<%= tag %>\n       \n      <.separator class=\"my-2\" />\n    <% end %>\n   \n</.scroll_area>\n```","ref":"Shino.UI.ScrollArea.html#scroll_area/1-examples"},{"type":"function","title":"Attributes - Shino.UI.ScrollArea.scroll_area/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.ScrollArea.html#scroll_area/1-attributes"},{"type":"function","title":"Slots - Shino.UI.ScrollArea.scroll_area/1","doc":"* `inner_block`","ref":"Shino.UI.ScrollArea.html#scroll_area/1-slots"},{"type":"module","title":"Shino.UI.Separator","doc":"Provides separator related components.\n\n> Displays a line for separating content visually or semantically.","ref":"Shino.UI.Separator.html"},{"type":"module","title":"References - Shino.UI.Separator","doc":"* [@radix-ui/primitives - Separator](https://www.radix-ui.com/primitives/docs/components/separator)\n  * [shadcn/ui - Separator](https://ui.shadcn.com/docs/components/separator)","ref":"Shino.UI.Separator.html#module-references"},{"type":"function","title":"Shino.UI.Separator.sep/1","doc":"","ref":"Shino.UI.Separator.html#sep/1"},{"type":"function","title":"Shino.UI.Separator.separator/1","doc":"Renders a separator.","ref":"Shino.UI.Separator.html#separator/1"},{"type":"function","title":"Examples - Shino.UI.Separator.separator/1","doc":"```heex\n<.separator orientation=\"horizontal\" />\n<.separator orientation=\"vertical\" />\n```","ref":"Shino.UI.Separator.html#separator/1-examples"},{"type":"function","title":"Attributes - Shino.UI.Separator.separator/1","doc":"* `orientation` (`:string`) - Defaults to `\"horizontal\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Separator.html#separator/1-attributes"},{"type":"module","title":"Shino.UI.Sheet","doc":"Provides sheet related components.\n\n> Displays content that complements the main content of the screen.","ref":"Shino.UI.Sheet.html"},{"type":"module","title":"Related components - Shino.UI.Sheet","doc":"* `Shino.UI.Dialog`","ref":"Shino.UI.Sheet.html#module-related-components"},{"type":"module","title":"Availale components - Shino.UI.Sheet","doc":"Components are divided into two categories: control components and style components.\n\nControl components:\n\n  * ` `\n  * ` `\n  * ` `\n  * ` `\n\nStyle components:\n\n  * ` `\n  * ` `\n  * ` `\n  * ` `","ref":"Shino.UI.Sheet.html#module-availale-components"},{"type":"module","title":"Opening and closing a sheet - Shino.UI.Sheet","doc":"For opening a sheet, you can use:\n\n  * `:default_open` attr of ` ` component\n  * ` ` component\n\nFor closing a sheet, you can use:\n\n  * ` ` component\n  * the builtin user interactions:\n    * clicking outside of the sheet\n    * pressing ESC key","ref":"Shino.UI.Sheet.html#module-opening-and-closing-a-sheet"},{"type":"module","title":"Controlling the side of a sheet - Shino.UI.Sheet","doc":"Use `:side` attr of of ` ` component.","ref":"Shino.UI.Sheet.html#module-controlling-the-side-of-a-sheet"},{"type":"module","title":"Controlling the width of a sheet - Shino.UI.Sheet","doc":"By default, the sheet width is determined by its content.\n\nThis behaviour can be customized by applying classes to ` `\ncomponent. For example:\n\n```heex\n \n  <% # content %>\n \n```","ref":"Shino.UI.Sheet.html#module-controlling-the-width-of-a-sheet"},{"type":"module","title":"Examples - Shino.UI.Sheet","doc":"","ref":"Shino.UI.Sheet.html#module-examples"},{"type":"module","title":"A basic sheet - Shino.UI.Sheet","doc":"```heex\n \n   \n    <.button>Open Basic Sheet</.button>\n   \n   \n     \n      <.button variant=\"secondary\">Close</.button>\n     \n    Content\n   \n \n```\n\nThis example shows the main components to build a basic sheet. You can extend\nthis piece of code to whatever you want based on sheet.","ref":"Shino.UI.Sheet.html#module-a-basic-sheet"},{"type":"module","title":"Using more style components - Shino.UI.Sheet","doc":"```heex\n \n   \n    <.button>Open</.button>\n   \n   \n     \n       Edit profile \n       \n        Make changes to your profile here. Click save when you're done.\n       \n     \n\n    <% # example content  %>\n     \n      <.skeleton class=\"h-[125px] w-full rounded-xl\" />\n       \n        <.skeleton class=\"h-4 w-full\" />\n        <.skeleton class=\"h-4 w-3/4\" />\n       \n     \n\n     \n       \n        <.button>Cancel</.button>\n       \n      <.button>Save</.button>\n     \n   \n \n```","ref":"Shino.UI.Sheet.html#module-using-more-style-components"},{"type":"module","title":"A sheet as sidebar - Shino.UI.Sheet","doc":"```heex\n \n   \n    <.button>Open Sidebar</.button>\n   \n   \n     \n       \n         ✕ \n       \n     \n    Navigation\n   \n \n```","ref":"Shino.UI.Sheet.html#module-a-sheet-as-sidebar"},{"type":"module","title":"References - Shino.UI.Sheet","doc":"* [shadcn/ui - Sheet](https://ui.shadcn.com/docs/components/sheet)","ref":"Shino.UI.Sheet.html#module-references"},{"type":"function","title":"Shino.UI.Sheet.close/1","doc":"Renders a sheet close.","ref":"Shino.UI.Sheet.html#close/1"},{"type":"function","title":"Attributes - Shino.UI.Sheet.close/1","doc":"* `for` (`Shino.UI.Sheet.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Sheet.html#close/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Sheet.close/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Sheet.html#close/1-slots"},{"type":"function","title":"Shino.UI.Sheet.content/1","doc":"Renders a sheet content.","ref":"Shino.UI.Sheet.html#content/1"},{"type":"function","title":"Attributes - Shino.UI.Sheet.content/1","doc":"* `for` (`Shino.UI.Sheet.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.","ref":"Shino.UI.Sheet.html#content/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Sheet.content/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Sheet.html#content/1-slots"},{"type":"function","title":"Shino.UI.Sheet.description/1","doc":"Renders a sheet description.","ref":"Shino.UI.Sheet.html#description/1"},{"type":"function","title":"Attributes - Shino.UI.Sheet.description/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Sheet.html#description/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Sheet.description/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Sheet.html#description/1-slots"},{"type":"function","title":"Shino.UI.Sheet.footer/1","doc":"Renders a sheet footer.","ref":"Shino.UI.Sheet.html#footer/1"},{"type":"function","title":"Attributes - Shino.UI.Sheet.footer/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Sheet.html#footer/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Sheet.footer/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Sheet.html#footer/1-slots"},{"type":"function","title":"Shino.UI.Sheet.header/1","doc":"Renders a sheet header.","ref":"Shino.UI.Sheet.html#header/1"},{"type":"function","title":"Attributes - Shino.UI.Sheet.header/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Sheet.html#header/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Sheet.header/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Sheet.html#header/1-slots"},{"type":"function","title":"Shino.UI.Sheet.root/1","doc":"The root contains all the parts of a sheet.","ref":"Shino.UI.Sheet.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Sheet.root/1","doc":"* `id` (`:string`) (required)\n* `default_open` (`:boolean`) - Defaults to `false`.\n* `side` (`:string`) - Defaults to `\"left\"`.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Sheet.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Sheet.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Sheet.html#root/1-slots"},{"type":"function","title":"Shino.UI.Sheet.title/1","doc":"Renders a sheet title.","ref":"Shino.UI.Sheet.html#title/1"},{"type":"function","title":"Attributes - Shino.UI.Sheet.title/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Sheet.html#title/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Sheet.title/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Sheet.html#title/1-slots"},{"type":"function","title":"Shino.UI.Sheet.trigger/1","doc":"Renders a sheet trigger.","ref":"Shino.UI.Sheet.html#trigger/1"},{"type":"function","title":"Attributes - Shino.UI.Sheet.trigger/1","doc":"* `for` (`Shino.UI.Sheet.Root`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Sheet.html#trigger/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Sheet.trigger/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Sheet.html#trigger/1-slots"},{"type":"module","title":"Shino.UI.Shell","doc":"Provides application shell related components.","ref":"Shino.UI.Shell.html"},{"type":"function","title":"Shino.UI.Shell.two_column/1","doc":"Renders application shell using two column layout.\n\nIt's better to have following class on ` ` for using this component:\n\n```html\n \n   \n    <% # ... %>\n   \n \n```","ref":"Shino.UI.Shell.html#two_column/1"},{"type":"function","title":"Responsive design - Shino.UI.Shell.two_column/1","doc":"The breakpoint of responsive design is `md`.","ref":"Shino.UI.Shell.html#two_column/1-responsive-design"},{"type":"function","title":"Attributes - Shino.UI.Shell.two_column/1","doc":"* `id` (`:string`) - Defaults to `\"shell\"`.","ref":"Shino.UI.Shell.html#two_column/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Shell.two_column/1","doc":"* `logo` (required)\n* `sidebar` (required)\n* `topbar`\n* `main` (required)","ref":"Shino.UI.Shell.html#two_column/1-slots"},{"type":"module","title":"Shino.UI.Skeleton","doc":"Provides skeleton related components.\n\n> Displays a placeholder for content which is loading.","ref":"Shino.UI.Skeleton.html"},{"type":"module","title":"References - Shino.UI.Skeleton","doc":"* [shadcn/ui - Skeleton](https://ui.shadcn.com/docs/components/skeleton).","ref":"Shino.UI.Skeleton.html#module-references"},{"type":"function","title":"Shino.UI.Skeleton.skeleton/1","doc":"Renders a skeleton.","ref":"Shino.UI.Skeleton.html#skeleton/1"},{"type":"function","title":"Examples - Shino.UI.Skeleton.skeleton/1","doc":"```heex\n \n  <.skeleton class=\"h-12 w-12 rounded-full\" />\n   \n    <.skeleton class=\"h-4 w-[250px]\" />\n    <.skeleton class=\"h-4 w-[200px]\" />\n   \n \n```\n\n```heex\n \n  <.skeleton class=\"h-[125px] w-[250px] rounded-xl\" />\n   \n    <.skeleton class=\"h-4 w-[250px]\" />\n    <.skeleton class=\"h-4 w-[200px]\" />\n   \n \n```","ref":"Shino.UI.Skeleton.html#skeleton/1-examples"},{"type":"function","title":"Attributes - Shino.UI.Skeleton.skeleton/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Skeleton.html#skeleton/1-attributes"},{"type":"module","title":"Shino.UI.Table","doc":"Provides table related components.\n\n> Displays a responsive table.","ref":"Shino.UI.Table.html"},{"type":"module","title":"Examples - Shino.UI.Table","doc":"A table for data:\n```heex\n \n   A list of your recent invoices. \n   \n     \n       Invoice \n       Status \n       Method \n       Amount \n     \n   \n   \n     \n       INV001 \n       Paid \n       Credit Card \n       $250.00 \n     \n     \n       INV002 \n       Pending \n       PayPal \n       $150.00 \n     \n   \n   \n     \n       Total \n       $400.00 \n     \n   \n \n```\n\nA table for data and actions:\n```heex\n \n   A list of your recent invoices. \n   \n     \n       Invoice \n       Status \n       Method \n       Amount \n        Actions  \n     \n   \n   \n     \n       INV001 \n       Paid \n       Credit Card \n       $250.00 \n       \n        <.link>Show</.link>\n       \n     \n     \n       INV002 \n       Pending \n       PayPal \n       $150.00 \n       \n        <.link>Show</.link>\n       \n     \n   \n   \n     \n       Total \n       $400.00 \n        \n     \n   \n \n```\n\nA table using stream:\n```heex\n \n   \n     \n       Invoice \n       Status \n       Method \n       Amount \n     \n   \n   \n     \n       <%= id %> \n       <%= invoice.status %> \n       <%= invoice.method %> \n       <%= invoice.amount %> \n     \n   \n \n```\n\n> Notice the `id` and `phx-update` attr on ` `, and `id` attr\n> on ` `.","ref":"Shino.UI.Table.html#module-examples"},{"type":"module","title":"References - Shino.UI.Table","doc":"* [shadcn/ui - Table](https://ui.shadcn.com/docs/components/table)","ref":"Shino.UI.Table.html#module-references"},{"type":"function","title":"Shino.UI.Table.body/1","doc":"Renders a table body.","ref":"Shino.UI.Table.html#body/1"},{"type":"function","title":"Attributes - Shino.UI.Table.body/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Table.html#body/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Table.body/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Table.html#body/1-slots"},{"type":"function","title":"Shino.UI.Table.caption/1","doc":"Renders a table caption.","ref":"Shino.UI.Table.html#caption/1"},{"type":"function","title":"Attributes - Shino.UI.Table.caption/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Table.html#caption/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Table.caption/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Table.html#caption/1-slots"},{"type":"function","title":"Shino.UI.Table.cell/1","doc":"Renders a table cell.","ref":"Shino.UI.Table.html#cell/1"},{"type":"function","title":"Attributes - Shino.UI.Table.cell/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"colspan\"]`.","ref":"Shino.UI.Table.html#cell/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Table.cell/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Table.html#cell/1-slots"},{"type":"function","title":"Shino.UI.Table.footer/1","doc":"Renders a table footer.","ref":"Shino.UI.Table.html#footer/1"},{"type":"function","title":"Attributes - Shino.UI.Table.footer/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Table.html#footer/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Table.footer/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Table.html#footer/1-slots"},{"type":"function","title":"Shino.UI.Table.head/1","doc":"Renders a table head.","ref":"Shino.UI.Table.html#head/1"},{"type":"function","title":"Attributes - Shino.UI.Table.head/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Table.html#head/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Table.head/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Table.html#head/1-slots"},{"type":"function","title":"Shino.UI.Table.header/1","doc":"Renders a table header.","ref":"Shino.UI.Table.html#header/1"},{"type":"function","title":"Attributes - Shino.UI.Table.header/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Table.html#header/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Table.header/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Table.html#header/1-slots"},{"type":"function","title":"Shino.UI.Table.root/1","doc":"The root contains all the parts of a table.","ref":"Shino.UI.Table.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Table.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Table.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Table.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Table.html#root/1-slots"},{"type":"function","title":"Shino.UI.Table.row/1","doc":"Renders a table row.","ref":"Shino.UI.Table.html#row/1"},{"type":"function","title":"Attributes - Shino.UI.Table.row/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Table.html#row/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Table.row/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Table.html#row/1-slots"},{"type":"module","title":"Shino.UI.Tabs","doc":"Provides tabs related components.\n\n> Displays a set of layered sections of content-known as tab panels—that are\n> displayed one at a time.","ref":"Shino.UI.Tabs.html"},{"type":"module","title":"Examples - Shino.UI.Tabs","doc":"```heex\n \n   \n     account \n     password \n   \n   \n    Account\n   \n   \n    Password\n   \n \n```\n\nAbove tabs should be usable, but to avoid of the flash of unstyled content,\nextra classes should be added for tabs content.\n\n```heex\n \n   \n     account \n     password \n   \n   \n    Account\n   \n   \n    Password\n   \n \n```","ref":"Shino.UI.Tabs.html#module-examples"},{"type":"module","title":"References - Shino.UI.Tabs","doc":"* [@radix-ui/primitives - Tabs](https://www.radix-ui.com/primitives/docs/components/tabs)\n  * [shadcn/ui - Tabs](https://ui.shadcn.com/docs/components/tabs)","ref":"Shino.UI.Tabs.html#module-references"},{"type":"function","title":"Shino.UI.Tabs.content/1","doc":"Renders the content associated to a tab.","ref":"Shino.UI.Tabs.html#content/1"},{"type":"function","title":"Attributes - Shino.UI.Tabs.content/1","doc":"* `value` (`:string`) (required) - unique for tab content.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Tabs.html#content/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Tabs.content/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Tabs.html#content/1-slots"},{"type":"function","title":"Shino.UI.Tabs.list/1","doc":"Renders a wrapper for tabs' triggers.","ref":"Shino.UI.Tabs.html#list/1"},{"type":"function","title":"Attributes - Shino.UI.Tabs.list/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Tabs.html#list/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Tabs.list/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Tabs.html#list/1-slots"},{"type":"function","title":"Shino.UI.Tabs.root/1","doc":"The root contains all the parts of a form.","ref":"Shino.UI.Tabs.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Tabs.root/1","doc":"* `id` (`:string`) (required)\n* `default_value` (`:string`) (required)\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Tabs.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Tabs.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Tabs.html#root/1-slots"},{"type":"function","title":"Shino.UI.Tabs.trigger/1","doc":"Renders a tab trigger.","ref":"Shino.UI.Tabs.html#trigger/1"},{"type":"function","title":"Attributes - Shino.UI.Tabs.trigger/1","doc":"* `root` (`:string`) (required) - id of root tabs tag.\n* `value` (`:string`) (required) - target value of tab content.\n* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Tabs.html#trigger/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Tabs.trigger/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Tabs.html#trigger/1-slots"},{"type":"module","title":"Shino.UI.Tooltip","doc":"Provides tooltip related components.\n\n> Displays a popup that displays information related to an element when\n> the element receives keyboard focus or the mouse hovers over it.","ref":"Shino.UI.Tooltip.html"},{"type":"module","title":"Examples - Shino.UI.Tooltip","doc":"```heex\n \n   \n    Hover Me\n   \n   \n    Here is a tooltip.\n   \n \n```","ref":"Shino.UI.Tooltip.html#module-examples"},{"type":"module","title":"References - Shino.UI.Tooltip","doc":"* [@radix-ui/primitives - Tooltip](https://www.radix-ui.com/primitives/docs/components/tooltip)\n  * [shadcn/ui - Tooltip](https://ui.shadcn.com/docs/components/tooltip)","ref":"Shino.UI.Tooltip.html#module-references"},{"type":"function","title":"Shino.UI.Tooltip.content/1","doc":"Render a tooltip content.","ref":"Shino.UI.Tooltip.html#content/1"},{"type":"function","title":"Attributes - Shino.UI.Tooltip.content/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* `side` (`:string`) - Defaults to `\"bottom\"`.\n* `align` (`:string`) - Defaults to `\"center\"`.\n* Global attributes are accepted.","ref":"Shino.UI.Tooltip.html#content/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Tooltip.content/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Tooltip.html#content/1-slots"},{"type":"function","title":"Shino.UI.Tooltip.root/1","doc":"The root contains all the parts of a tooltip.","ref":"Shino.UI.Tooltip.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.Tooltip.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.Tooltip.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.Tooltip.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Tooltip.html#root/1-slots"},{"type":"function","title":"Shino.UI.Tooltip.trigger/1","doc":"Renders a tooltip trigger.","ref":"Shino.UI.Tooltip.html#trigger/1"},{"type":"function","title":"Slots - Shino.UI.Tooltip.trigger/1","doc":"* `inner_block` (required)","ref":"Shino.UI.Tooltip.html#trigger/1-slots"},{"type":"module","title":"Shino.UI.VerticalNav","doc":"Provides vertical navigation related components.","ref":"Shino.UI.VerticalNav.html"},{"type":"module","title":"Examples - Shino.UI.VerticalNav","doc":"```heex\n \n   \n     \n       \n        <.icon name=\"hero-home\" class=\"mr-2 h-4 w-4\" /> Overview\n       \n     \n\n     \n       \n        <.icon name=\"hero-chart-pie\" class=\"mr-2 h-4 w-4\" /> Income\n       \n     \n\n     \n       \n         \n           \n            <.icon name=\"hero-device-phone-mobile\" class=\"mr-2 h-4 w-4\" /> APP Versions\n            <.icon name=\"hero-chevron-down\" class=\"ml-auto h-4 w-4\" />\n           \n         \n       \n\n       \n         \n           \n             \n              iOS APP Versions\n             \n           \n\n           \n             \n              Android APP Versions\n             \n           \n         \n       \n     \n   \n \n```","ref":"Shino.UI.VerticalNav.html#module-examples"},{"type":"function","title":"Shino.UI.VerticalNav.anchor/1","doc":"Renders a sidebar anchor.\n\nIt should be used with ` `.","ref":"Shino.UI.VerticalNav.html#anchor/1"},{"type":"function","title":"Attributes - Shino.UI.VerticalNav.anchor/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted. Supports all globals plus: `[\"href\", \"navigate\", \"patch\", \"method\"]`.","ref":"Shino.UI.VerticalNav.html#anchor/1-attributes"},{"type":"function","title":"Slots - Shino.UI.VerticalNav.anchor/1","doc":"* `inner_block` (required)","ref":"Shino.UI.VerticalNav.html#anchor/1-slots"},{"type":"function","title":"Shino.UI.VerticalNav.group/1","doc":"Renders a sidebar group.","ref":"Shino.UI.VerticalNav.html#group/1"},{"type":"function","title":"Attributes - Shino.UI.VerticalNav.group/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.VerticalNav.html#group/1-attributes"},{"type":"function","title":"Slots - Shino.UI.VerticalNav.group/1","doc":"* `inner_block` (required)","ref":"Shino.UI.VerticalNav.html#group/1-slots"},{"type":"function","title":"Shino.UI.VerticalNav.item/1","doc":"Renders a sidebar item.","ref":"Shino.UI.VerticalNav.html#item/1"},{"type":"function","title":"Attributes - Shino.UI.VerticalNav.item/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* `active` (`:boolean`) - Defaults to `false`.\n* Global attributes are accepted.","ref":"Shino.UI.VerticalNav.html#item/1-attributes"},{"type":"function","title":"Slots - Shino.UI.VerticalNav.item/1","doc":"* `inner_block` (required)","ref":"Shino.UI.VerticalNav.html#item/1-slots"},{"type":"function","title":"Shino.UI.VerticalNav.plain/1","doc":"Renders a sidebar plain.\n\nIt should be used with ` `.","ref":"Shino.UI.VerticalNav.html#plain/1"},{"type":"function","title":"Attributes - Shino.UI.VerticalNav.plain/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.VerticalNav.html#plain/1-attributes"},{"type":"function","title":"Slots - Shino.UI.VerticalNav.plain/1","doc":"* `inner_block` (required)","ref":"Shino.UI.VerticalNav.html#plain/1-slots"},{"type":"function","title":"Shino.UI.VerticalNav.root/1","doc":"The root contains all the parts of a collapsible.","ref":"Shino.UI.VerticalNav.html#root/1"},{"type":"function","title":"Attributes - Shino.UI.VerticalNav.root/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.VerticalNav.html#root/1-attributes"},{"type":"function","title":"Slots - Shino.UI.VerticalNav.root/1","doc":"* `inner_block` (required)","ref":"Shino.UI.VerticalNav.html#root/1-slots"},{"type":"function","title":"Shino.UI.VerticalNav.sub_group/1","doc":"Renders a sidebar sub_group.","ref":"Shino.UI.VerticalNav.html#sub_group/1"},{"type":"function","title":"Attributes - Shino.UI.VerticalNav.sub_group/1","doc":"* `class` (`:any`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"Shino.UI.VerticalNav.html#sub_group/1-attributes"},{"type":"function","title":"Slots - Shino.UI.VerticalNav.sub_group/1","doc":"* `inner_block` (required)","ref":"Shino.UI.VerticalNav.html#sub_group/1-slots"},{"type":"extras","title":"Shino","doc":"# Shino\n\nA UI kit for Phoenix.","ref":"readme.html"},{"type":"extras","title":"Notes - Shino","doc":"DON'T USE IT.\n\nThis package is still in its early stages, so it may still undergo significant changes, potentially leading to breaking changes.","ref":"readme.html#notes"},{"type":"extras","title":"Installation - Shino","doc":"1. add `:shino` to the deps of `mix.exs`:\n\n```elixir\n{:shino,  }\n```\n\n2. add shino to the deps of `package.json`:\n\n```json\n\"shino\": \"file:../deps/shino\"\n```\n\n3. setup Tailwind config for `Shino.UI`:\n\n```javascript\n// edit tailwind.config.js\nimport mergeOptions from \"merge-options\"\nimport { tailwindConfig as configShinoUI } from \"shino/ui\"\n\nexport default mergeOptions.apply({ concatArrays: true }, [\n  configShinoUI,\n  {\n    content: [\n      \"../deps/shino/**/*.*ex\",\n      // ...\n    ],\n    // ...\n  }\n]\n```\n\n4. setup hook for `Shino.Notification`:\n\n```javascript\nimport { createNotificationHook as createShinoNotificationHook } from \"shino/notification\"\n\nconst liveSocket = new LiveSocket(\"/live\", Socket, {\n  // ...\n  hooks: {\n    \"Shino.Notification\": createShinoNotificationHook({ maxShownNotifications: 3 }),\n    // ...\n  },\n})\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Shino","doc":"For more information, see the [documentation](https://hexdocs.pm/shino).","ref":"readme.html#usage"},{"type":"extras","title":"License - Shino","doc":"[Apache License 2.0](https://www.apache.org/licenses/LICENSE-2.0)","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}